\section{Related Work}
\label{sec:relatedwork}

Several works have already addressed the visualization of Brazilian public health data from SUS systems. However, most of them relate to the use of Geographic Information Systems (GIS) to investigate the epidemiology of a specific disease, as made by Hertz et al.~\cite{hertz2019distribution} and Marinho et al.~\cite{marinho2019mother}. More general initiatives are the PCDaS platform and the Conecta SUS project.

The PCDaS -- \textit{Plataforma de Ciência de Dados aplicada à Saúde} (Data Science Platform Applied to Health)\footnote{\url{https://bigdata.icict.fiocruz.br/}} was created by the Institute of Communication and Scientific and Technological Information in Health (Icict) of the Oswaldo Cruz Foundation (Fiocruz), in partnership with the National Laboratory for Scientific Computing (LNCC), in 2016. The platform offers open services for storage, management, analysis, and dissemination of public health data and gathers a large SUS data volume. PCDaS has dashboards with basic capabilities for visual analysis but does not use maps to their full potential to support geospatial data exploration. The dashboards are implemented in Kibana, an open-source tool for visualizing data stored in Elasticsearch clusters.

The Conecta SUS\cite{conectasus2016} project was developed by the Zilda Arns Neumann Center for Strategic Information and Decision-Making in Health from the State Health Secretariat of Goiás and is being replicated in other states in the country. The Conecta SUS integrates data from multiple systems to subsidize the Secretariat's coordination of actions and policies. It uses data warehousing and business intelligence tools to provide real-time visual information and historical analysis.  Its infrastructure is based on a PostgreSQL/PostGIS database, an ETL process implemented in Pentaho Data Integration, OLAP cubes in Mondrian, and monitoring panels designed in Pentaho Community.

Differently from these solutions, the platform we present in this paper focuses on the geospatial presentation of hospitalization data. It uses different types of dynamic, interactive maps to provide rich visualizations of georeferenced data from the Hospital Information System (SIH-SUS). These visualizations show healthcare resource usage and help identify health service demands while supporting epidemiologic studies.

Moreover, several initiatives were created in healthcare administration, such as ours, which developed tools for assisting the healthcare decision-making process. The following paragraphs run through examples of such initiatives related to our platform.

DataScope~\cite{DataScope} is a visual querying tool for exploring large datasets. It provides multiple visual dashboards with querying and filtering options, allowing health researchers to cut down data to create relevant subsets or cohorts for their research. The resulting visualizations can be saved to be incorporated in reports or for continuous analysis. Another initiative similar to DataScope is the prototype done during the design study headed by Zhao~\cite{Zhao:2018}, in which the developers worked with health researchers' feedback to design a querying solution with intuitive user interfaces that were less mentally stressful to use.

PandemCap~\cite{PandemCap} is a visual analytics support tool for pandemic management. It employs epidemic modeling in conjunction with data visualization to improve the public healthcare decision-making process during an outbreak. It allows government officials to compare multiple scenarios according to which interventions are made. Within these scenarios, they have a vast arrange of information regarding the disease spread, \textit{e.g.} the number of hospital beds available by health facility and region. This information enhances understanding of the situation and its possible outcomes, allowing better-informed decisions.

The Patient-Provider Geographic Map~\cite{PatientProviderGeographicMap} is a geospatial visualization tool targeted to health administrators. The tool provides filtering options based on health care providers and diagnostic groups and displays selected patient's data through ZIP-code level choropleth maps. This visualization allows findings over underserved or overserved populations and patient's health care provider preferences.

The Community Health Map~\cite{CommunityHealthMap} is a web application designed to analyze the United States' public health. Its differential from similar tools is the ability to work simultaneously with healthcare and demographics datasets, which allows findings that would not be possible in other tools. Users can filter the expanded dataset of Community Health Map by parameters not related to healthcare but that significantly impact it. The availability to the public, self-reported overall quality of health services, and the county's poverty rate are examples of filters that can be useful for government health officials. 


\section{Dataset}
\label{sec:dataset}

\begin{figure*}[ht]
  \centering
  \includegraphics[width=.9\textwidth]{figures/model3}
  \caption{Models of the platform and their relationships}
  \label{fig:models}
\end{figure*}

Founded in 1991, the SUS Information Technology Department (DATASUS) of the Brazilian Ministry of Health is responsible for providing information systems and IT support for SUS' agencies. Since its creation, DATASUS developed more than 200 different software systems to grow and strengthen SUS. Along with software development, the department also grants digital infrastructure for supported agencies and is bound to collect and store data generated by SUS' facilities across all Brazilian regions. The collected health data is free to the general public and is widely available through the DATASUS website\footnote{\url{https://datasus.saude.gov.br}}.

One of the oldest running systems in the department is the SUS Hospital Information System (SIH-SUS), the first DATASUS system to have data capture implemented in microcomputers and decentralized to its users. Data entries are obtained by many filled forms from the country's health facilities called Hospital Admission Authorization (AIH). An AIH, if correctly filled, should log all relevant information about the health procedure, including, but not limited to, administrative information (\textit{e.g.}, the Regional Health Coordination responsible for the area where the procedure took place), data about the patient, the health facility where the patient was admitted, and health logs about the procedure itself (\textit{e.g.}, patient diagnosis and the procedure's specialty).

The SIH-SUS dataset is provided via TabNet\footnote{\url{www2.datasus.gov.br/DATASUS/index.php?area=02}} by the Federal Brazilian government. TabNet is a tabulation and georeferencing system for public health data. It processes the tabulated data published by the Ministry of Health, focusing on facilitating the calculation of health indicators.

A submitted AIH form is processed and, by design, becomes available on the SIH-SUS dataset within one month after it has been filled in. The SIH-SUS keeps data on about 70\% of all country's hospitalizations. With this high percentage of cases covered, the morbidity and mortality rates converge closely to their real values, so it is essential to assess the SUS healthcare assistance's importance and plan precautionary measures. These data provide to public health managers information that supports decision-making. For example, SIH-SUS data may show regions lacking public hospital beds or services in specific medical specialties.

As stated before, the SIH-SUS dataset is composed of data from all over Brazil, collected in a decentralized manner by each Health Secretariat, and sent to the Brazilian Health Ministry. However, each secretariat can extract the data from the SIH-SUS dataset and complement it with some information to favor further analysis, and this change can make the structure of the local dataset subtly vary from one region to another. For example, our Health Secretariat partner pre-processed the SIH-SUS dataset removing the corrupted data, anonymizing the entire dataset, and inserting the geolocation (in terms of latitude and longitude) of the census tract centroid of the patient location (\textit{i.e.}, geo-anonymizing the patient location).

Since 1995, the SIH-SUS datasets retrieved more than 285 million hospitalization records according to the DATASUS TabNet system.
%\footnote{\url{www2.datasus.gov.br/DATASUS/index.php?area=0202\&id=11633}}.
Our partner's pre-processed SIH-SUS dataset covers 554,202 hospitalization records of a city from January 2015 to December 2015. This large dataset was used to conduct several tests on the visualization platform presented in this paper.

We designed the platform architecture based on the pre-processed SIH-SUS dataset, with two main models: \textit{Patient Data} and \textit{Hospitalization Data}. \textit{Patient Data} model contains the patient anonymized data (age, gender, educational level, and others) and location, originating from the \textit{Location} model, which stores the name and the geographic data structure of the municipality subdivisions, such as subprefectures, administrative sectors, and census tracts. \textit{Hospitalization Data} model is composed of the hospitalization data (admission date, discharge date, hospitalization complexity, and others); the hospitalization diagnosis, represented by the \textit{Diagnosis} model, which is responsible for cataloging the ICD-10 (International Classification of Diseases) categories, subcategories, groups, and chapters; the health facility data (number of beds, phone number, and others) obtained from the National Database on Health Units (SCNES); and the health facility location, represented by the \textit{Location} model. The complete model structure of the platform is represented in Figure \ref{fig:models}.
